# Uses of Interface
org.opensaml.xmlsec.encryption.AgreementMethod

Packages that use AgreementMethod
Package
Description
org.opensaml.xmlsec.agreement
API components related to key agreement operations.
org.opensaml.xmlsec.agreement.impl
Implementation components related to key agreement operations.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of AgreementMethod in org.opensaml.xmlsec.agreement

Methods in org.opensaml.xmlsec.agreement with parameters of type AgreementMethod
Modifier and Type
Method
Description
`static Integer`
KeyAgreementSupport.`getExplicitKeySize(AgreementMethod agreementMethod)`
Look for an explicit key size via an `AgreementMethod`'s grandparent's `EncryptionMethod` child's `KeySize` child element.

## Uses of AgreementMethod in org.opensaml.xmlsec.agreement.impl

Methods in org.opensaml.xmlsec.agreement.impl with parameters of type AgreementMethod
Modifier and Type
Method
Description
`KeyAgreementParameters`
KeyAgreementParametersParser.`parse(AgreementMethod agreementMethod)`
Parse the specified `AgreementMethod` into an instance of `KeyAgreementParameters`.

## Uses of AgreementMethod in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement AgreementMethod
Modifier and Type
Class
Description
`class`
`AgreementMethodImpl`
Concrete implementation of `AgreementMethod`.
Methods in org.opensaml.xmlsec.encryption.impl that return AgreementMethod
Modifier and Type
Method
Description
`AgreementMethod`
AgreementMethodBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`AgreementMethod`
AgreementMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of AgreementMethod in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl with type parameters of type AgreementMethod
Modifier and Type
Field
Description
`private final XMLObjectBuilder<AgreementMethod>`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`agreementMethodBuilder`
Builder for AgreementMethod objects.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type AgreementMethod
Modifier and Type
Method
Description
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processAgreementParameters(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `KeyAgreementCredential.getParameters()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processOriginatorKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process the `KeyAgreementCredential.getOriginatorCredential()`.
`private void`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementKeyInfoGenerator.`processRecipientKeyInfo(KeyInfo keyInfo, AgreementMethod agreementMethod, KeyAgreementCredential credential)`
Process `KeyAgreementCredential.getRecipientCredential()`.

## Uses of AgreementMethod in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider with parameters of type AgreementMethod
Modifier and Type
Method
Description
`private String`
AgreementMethodKeyInfoProvider.`resolveKeyAlgorithm(AgreementMethod agreementMethod)`
Resolve the encryption algorithm URI to be used with the derived key.
`private Credential`
AgreementMethodKeyInfoProvider.`resolveOriginatorCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the originator `Credential` from the `OriginatorKeyInfo` element.
`private Credential`
AgreementMethodKeyInfoProvider.`resolveRecipientCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the recipient `Credential` from the `RecipientKeyInfo` element.

## Uses of AgreementMethod in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type AgreementMethod
Modifier and Type
Method
Description
`List<AgreementMethod>`
KeyInfo.`getAgreementMethods()`
Get the list of AgreementMethod child elements.

## Uses of AgreementMethod in org.opensaml.xmlsec.signature.impl

Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type AgreementMethod
Modifier and Type
Method
Description
`List<AgreementMethod>`
KeyInfoImpl.`getAgreementMethods()`
Get the list of AgreementMethod child elements.